Subject: Re: [PATCH] inet: Initialize per-netns inetpeer roots in net/ipv{4, 6}/route.c

From: Gao feng <[email-masked]>
Date: Mon, 11 Jun 2012 08:27:32 +0800

Hi fengguang:

于 2012年06月10日 18:16, Fengguang Wu 写道:
> On Sat, Jun 09, 2012 at 10:18:01PM -0400, David Miller wrote:
>> From: David Miller <[email-masked]>
>> Date: Sat, 09 Jun 2012 19:09:29 -0700 (PDT)
>>
>>> From: Fengguang Wu <[email-masked]>
>>> Date: Sun, 10 Jun 2012 10:08:01 +0800
>>>
>>>> And in another config, an old error still triggers:
>>>>
>>>> net/ipv4/inetpeer.c: In function ‘family_to_base’:
>>>> net/ipv4/inetpeer.c:397:50: error: ‘struct net’ has no member named ‘ipv6’
>>>> net/ipv4/inetpeer.c:398:1: warning: control reaches end of non-void function [-Wreturn-type]
>>>>
>>>> I'm building this patch on top of net-next master.
>>>
>>> What a fucking mess Gao created, I'll fix this.
>>>
>>> Thanks for the report.
>>
>> I just pushed the following to net-next:
>>
>> --------------------
>> inet: Pass inetpeer root into inet_getpeer*() interfaces.
>>
>> Otherwise we reference potentially non-existing members when
>> ipv6 is disabled.
>>
>> Signed-off-by: David S. Miller <[email-masked]>
>> ---
>>  include/net/inetpeer.h |   10 +++++-----
>>  net/ipv4/inetpeer.c    |    9 +--------
>>  net/ipv4/ip_fragment.c |    2 +-
>>  net/ipv4/route.c       |    6 +++---
>>  net/ipv6/route.c       |    2 +-
>>  5 files changed, 11 insertions(+), 18 deletions(-)
> 
> It triggers some other errors:
> 
> net/ipv4/inetpeer.c: In function ‘inetpeer_invalidate_tree’:
> net/ipv4/inetpeer.c:585:9: error: implicit declaration of function ‘family_to_base’ [-Werror=implicit-function-declaration]
> net/ipv4/inetpeer.c:585:32: warning: initialization makes pointer from integer without a cast [enabled by default]
> net/ipv6/tcp_ipv6.c:1758:2: warning: passing argument 1 of ‘inet_getpeer_v6’ from incompatible pointer type [enabled by default]
> include/net/inetpeer.h:101:33: note: expected ‘struct inet_peer_base *’ but argument is of type ‘struct net *’
> net/ipv4/tcp_ipv4.c:1843:2: warning: passing argument 1 of ‘inet_getpeer_v4’ from incompatible pointer type [enabled by default]
> include/net/inetpeer.h:90:33: note: expected ‘struct inet_peer_base *’ but argument is of type ‘struct net *’
> 
> which can be fixed by the following diff.

seams you did not pull the last codes
David has delete the tcp_v(4,6)_tw_get_peer
in commit 2397849baa7c44c242e5d5142d5d16d1e7ed53d0.

Thanks.
_______________________________________________
Containers mailing list
[email-masked]
https://lists.linuxfoundation.org/mailman/listinfo/containers